Bug 494181 - Airtel GSM internet connection freezes system
Airtel GSM internet connection freezes system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 08:06 EDT by Jyoti Sharma
Modified: 2009-12-18 04:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The wvdial config file (358 bytes, text/plain)
2009-04-05 08:06 EDT, Jyoti Sharma
no flags Details

  None (edit)
Description Jyoti Sharma 2009-04-05 08:06:26 EDT
Created attachment 338222 [details]
The wvdial config file

Description of problem:
After connection phone, if i select auto mobile broadband gsm connection my system freezes and I have to reboot.

Version-Release number of selected component (if applicable):
I am on Fedora x_86_64. All latest updates. The phone is Nokia 5300 xpress music. 

How reproducible:
Every time.

Steps to Reproduce:
1. Connect phone
2. Select the auto mobile broadband gsm connection
3.
  
Actual results:
System freezes

Expected results:
Internet Connection should be established.

Additional info:
As a workaround I configured wvdial to do the work for me and I am using it. But the dns servers returned are not being used then. I have to force all applications to use some open dns server. Thought it works fine in my vista.
Comment 1 Dan Williams 2009-04-08 12:37:19 EDT
When you say "freeze", you mean your mouse cursor does not move, you cannot hit Ctrl+Alt+F2 to switch to a virtual terminal, etc?
Comment 2 Jyoti Sharma 2009-04-08 21:14:45 EDT
Yes. Mouse and keyboard stop responding. I waited for more than five minutes. Even Ctrl+Alt+F2 does not work--The only thing that comes to my mind is removing power and rebooting.

Can I not instruct nm to use the wvdial configuration and also make use of the dns server ip provided by my gsm isp?(In reply to comment #1)
Comment 3 Dan Williams 2009-04-09 09:51:38 EDT
(In reply to comment #2)
> Yes. Mouse and keyboard stop responding. I waited for more than five minutes.
> Even Ctrl+Alt+F2 does not work--The only thing that comes to my mind is
> removing power and rebooting.

Ok, this is a kernel hang that should be fixed in the kernel driver.  What kernel are you running?  "uname -a" from a terminal will tell you.

> Can I not instruct nm to use the wvdial configuration and also make use of the
> dns server ip provided by my gsm isp?(In reply to comment #1)  

When using NM, NM controls the mobile broadband connection.  DNS server information can be entered in NetworkManager too, overriding the DNS your provider sends automatically.  But the kernel bug needs to get fixed either way.
Comment 4 Jyoti Sharma 2009-04-09 10:24:50 EDT
Linux localhost.localdomain 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

I am overriding the DNS settings in NM. But doing it each time is very inconvenient, I would very much love if NM could detect and use the values I get from wvdial automatically. Presently it is not even aware of the network that I establish using wvdial.
Comment 5 Dan Williams 2009-04-09 10:38:02 EDT
If you allow NM to control the connection, and do not use wvdial, then NM will use the settings sent from your provider via PPP.  NM by definition does not know about connections it does not control.
Comment 6 Bug Zapper 2009-11-18 04:58:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:11:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.